<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">

    <title>Note Table</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-success bg-opacity-50">
      <div class="container-fluid">
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="..">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link"  href="../Friends">My Friend List</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../lab-2">Lab 2</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../lab-3">Lab 3</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../lab-4">Lab 4</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../lab-4/note-list">Note Card</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../admin">Admin</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <div class="text-center">
    <table class="table table-striped mt-3">
      <thead>
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      </thead>
      <!-- TODO loop from Friend model -->
      <tr>
        {% if note %}
          {% for notes in note %}
              <tr>
                <td>{{notes.to}}</td>
                <td>{{notes.From}}</td>
                <td>{{notes.title}}</td>
                <td>{{notes.message}}</td>
              </tr>
          {% endfor %}
        {% endif %}
        </tr>
    </table>
    <button class="btn btn-primary" onclick="window.location.href='add-note'">
      Add
     </button>
     <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
  </div>
  </body>
</html>

